epp_ActionOperations (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_ActionOperations class

### org.openrtk.idl.epp0604

# Interface epp_ActionOperations

Known Subinterfaces:
  epp_Action, epp_ContactCheck, epp_ContactCheckOperations, epp_ContactCreate, epp_ContactCreateOperations, epp_ContactDelete, epp_ContactDeleteOperations, epp_ContactInfo, epp_ContactInfoOperations, epp_ContactTransfer, epp_ContactTransferOperations, epp_ContactUpdate, epp_ContactUpdateOperations, epp_DomainCheck, epp_DomainCheckOperations, epp_DomainCreate, epp_DomainCreateOperations, epp_DomainDelete, epp_DomainDeleteOperations, epp_DomainInfo, epp_DomainInfoOperations, epp_DomainRenew, epp_DomainRenewOperations, epp_DomainTransfer, epp_DomainTransferOperations, epp_DomainUpdate, epp_DomainUpdateOperations, epp_Hello, epp_HelloOperations, epp_HostCheck, epp_HostCheckOperations, epp_HostCreate, epp_HostCreateOperations, epp_HostDelete, epp_HostDeleteOperations, epp_HostInfo, epp_HostInfoOperations, epp_HostUpdate, epp_HostUpdateOperations, epp_Login, epp_LoginOperations, epp_Logout, epp_LogoutOperations, epp_Poll, epp_PollOperations, epp_Status, epp_StatusOperations

Known Implementing Classes:
  EPPContactCheck, EPPContactCreate, EPPContactDelete, EPPContactInfo, EPPContactTransfer, EPPContactUpdate, EPPDomainCheck, EPPDomainCreate, EPPDomainDelete, EPPDomainInfo, EPPDomainRenew, EPPDomainTransfer, EPPDomainUpdate, EPPGreeting, EPPHostCheck, EPPHostCreate, EPPHostDelete, EPPHostInfo, EPPHostUpdate, EPPLogin, EPPLogout, EPPPoll, EPPStatus

`public interface epp_ActionOperations`

Internal IDL interface which is never referenced externally. Sub-interface epp_Action is extended by all the master external interfaces for the EPP commands, and implemented by all the implementors of the EPP commands. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_ActionOperations.java,v 1.1 2003/03/21 15:53:44 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:53:44 $

See Also:
  `epp_Action`

  ## Method Summary
  `void` | `fromXML(String xml)` Parses XML String returned by EPP server and populates the response data member.
  `String` | `toXML()` Builds request XML from the request data of the EPP command.

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_Exception,
                       epp_XMLException

> Parses XML String returned by EPP server and populates the response data member.
> Parameters:
>   `xml` - The response xml String.
> Throws:
>   `epp_XMLException` - if required data is missing.
>   `epp_Exception` - if an error occurs.

### toXML

    public String toXML()
                throws epp_Exception,
                       epp_XMLException

> Builds request XML from the request data of the EPP command.
> Returns:
>   the xml String.
> Throws:
>   `epp_XMLException` - if required data is missing.
>   `epp_Exception` - if an error occurs.

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS